Token payroll
Send Token Settlement Deadline Notification
Emails all client admins a token settlement deadline notice using request-supplied totals.
POSThttps://api.toku.com/stablecoin-payroll/send-token-settlement-deadline-notification
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/send-token-settlement-deadline-notification' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"payrollID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payDate": "2026-01-01T00:00:00Z",
"totalEmployees": 0,
"totalTokenAmount": 0,
"currency": "string",
"daysUntilDeadline": 0
}'200 response
{
"success": true,
"message": "string",
"emailsSent": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
payrollIDstring<uuid>requiredpayDatestring<date-time>requiredtotalEmployeesintegerrequiredAllowed: at least 0
totalTokenAmountnumberrequiredAllowed: at least 0
currencystringrequiredAllowed: 1 to 20 characters
daysUntilDeadlineintegerrequiredResponse
200Successful response
successbooleanrequiredmessagestringrequiredemailsSentintegerrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits